%define modname geoip
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A10_%{modname}.ini

%define mod_src "geoip.c"
%define mod_lib "-lGeoIP"
%define mod_def "-DCOMPILE_DL_GEOIP"

Summary:	Map IP address to geographic places
Name:		php-%{modname}
Version:	1.0.8
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/%{modname}/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	GeoIP-devel >= 1.4.0
Requires:	geoip >= 1.4.0
Epoch:		1

%description
This PHP extension allows you to find the location of an IP address - City,
State, Country, Longitude, Latitude, and other information as all, such as ISP
and connection type. For more info, please visit Maxmind's website.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

#%{_usrsrc}/php-devel/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README package*.xml tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 1:1.0.8-4.mga3
+ Revision: 393264
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.0.8-3.mga3
+ Revision: 375776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.0.8-2.mga2
+ Revision: 223896
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:1.0.8-1.mga2
+ Revision: 185248
- upgrade to 1.0.8

* Sun Feb 06 2011 spuhler <spuhler> 1:1.0.7-11.mga1
+ Revision: 47913
- removed buildroot definition from .spec
- imported package php-geoip

